
html {
    scroll-behavior: smooth;
}

body {
    font-family: "Fira Sans";
    text-align: center;
}

/* Title */
#title {
    background-color: #262626;
    color: #fff;
    display: flex;
    height: 100vh;
    text-align: center;
}

.tag {
    color: #AE4040;
    font-weight: bold;
    animation-name: moveUp;
    animation-duration: 1s;
}

.title-container {
    padding: 3% 7% 7%;
    text-align: center;
}

.nameandlogo {
    text-align: center;
}

.name-logo {
    width: 10%;
    margin: 13% 2% 3%;
    animation-name: moveUp;
    animation-duration: 1.7s;
}

.name {
    font-family: "Yeseva One";
    animation-name: moveUp;
    animation-duration: 2.3s;
}

.name-part {
    font-size: 45px;
}

/* Navigation Bar */

.navbar {
    text-align: center;
    font-size: 20px;
    font-weight: bold;
    width: 100%;
    background: #262626;
    left: 0;
    z-index: 999;
    animation-name: moveUp;
    animation-duration: 2.7s;
    justify-content : center;
    align-items : center;
    padding: 15px 0 0;
}

.top-nav {
    text-align: center;
    position: fixed;
    top: 0;
    font-size: 17px;
}

.bottom-nav {
    position: absolute;
    bottom: 0;
    text-align: center;
}

.navbar-collapse {
    justify-content: center;
}

.navbar-toggler {
    outline: none;
}

.navbar ul li {
    display: inline-block;
    padding: 0px 10px;
}

.navbar ul li .nav-link {
    transition: 0.3s;
    padding: 15px;
    color: #CE5E5E;
}

.navbar ul li .nav-link:hover {
    border-radius: 10px;
    background: #333;
    color: #efefef
}

.navbar ul li .move-page:hover {
    border-radius: 10px;
    background: #AE4040;
    color: #efefef;
}

.nav-item {
    text-align: center;
}

/* About */

#about {
    background-color: #fff;
    padding: 3% 7% 7%;
    font-size: 1.5rem;
    text-align: justify;
}

#nav-about {
    font-family: "Yeseva One";
    font-size: 2rem;
    line-height: 1.5;
    font-weight: bold;
    padding: 8% 0;
    text-align: center;
}

.what {
    font-weight: bold;
}

.capital {
    color: #AE4040;
}

.contain-photo {
    text-align: center;
    vertical-align: middle;
}

.my-photo {
    width: 85%;
    border-radius: 30px;
}

.interest {
    text-align: left;
    font-weight: bold;
    color: #AE4040;
    font-size: 30px;
}

.interest-object {
    color: black;
    text-align: center;
    font-size: 20px;
}

.skills {
    text-align: right;
    color: #AE4040;
    font-size: 30px;
}

.skills-title {
    font-weight: bold;
}

.skills-object {
    color: black;
    text-align: left;
    font-size: 20px;
}

/* Resume */

#resume {
    text-align: center;
    background-color: #AE4040 ;
    padding: 8% 7% 10%;
}

#nav-edu {
    font-family: "Yeseva One";
    font-size: 2rem;
    line-height: 1.5;
    font-weight: bold;
    padding: 2% 0 1%;
    color: #fff;
}

.resume-card {
    text-align: left;
    margin-top: 5%;
    border-radius: 30px;
    padding: 3%;
}

.resume-title-1, .resume-title-2 {
    font-family: "Yeseva One";
    font-size: 1.8rem;
    text-align: center;
}

.resume-title-1 {
    margin-bottom: 5%;
}

.resume-title-2 {
    margin: 5% 0;
}

/* Contact */

#nav-contact {
    font-family: "Yeseva One";
    font-size: 2rem;
    line-height: 1.5;
    font-weight: bold;
    padding: 3%;
}

#contact {
    padding: 3% 7% 3%;
}

.contact-card {
    margin-top: 5%;
    border-radius: 30px;
    border-color: #cd6666;
    border-width: 7px;
}

.contact-info {
    margin: 9% 0;
}

.contact-name {
    font-weight: bold;
}

.contact-title {
    margin: 2% 0;
}

.contact-email {
    color: #CE5E5E;
}

.footer-icon {
    margin: 0 30px;
    margin-bottom: 2rem;
    color: #262626;
    transition: 0.3s;
}

.footer-icon:hover {
    color: #CD6666;
}

.timeline-container {
    width: 80%;
    padding: 50px 0;
    margin: 50px auto;
    position: relative;
    overflow: hidden;
 }
 
 .timeline-container:before {
    content: '';
    position: absolute;
    top: 0;
    left: 50%;
    margin-left: -1px;
    width: 2px;
    height: 100%;
    background: #CCD1D9;
    z-index: 1
 }
 
 .timeline-block {
    width: -webkit-calc(50% + 8px);
    width: -moz-calc(50% + 8px);
    width: calc(50% + 8px);
    display: -webkit-box;
    display: -webkit-flex;
    display: -moz-box;
    display: flex;
    -webkit-box-pack: justify;
    -webkit-justify-content: space-between;
    -moz-box-pack: justify;
    justify-content: space-between;
    clear: both;
 }
 
 .timeline-block-right {
    float: right;
 }
 
 .timeline-block-left {
    float: left;
    text-align: right;
    direction: rtl
 }
 
 .marker {
    width: 16px;
    height: 16px;
    border-radius: 50%;
    border: 2px solid #F5F7FA;
    background: #AE4040;
    margin-top: 10px;
    z-index: 50;
 }
 
 .timeline-content {
    width: 95%;
    padding: 0 15px;
 }
 
 .timeline-content h3 {
    margin-top: 5px;
    margin-bottom: 5px;
 }
 
 .timeline-content span {
    color: #a4a4a4;
 }
 
 .timeline-content p {
    line-height: 1.5em;
    word-spacing: 1px;
    color: #888;
 }
 

.role {
    font-weight: bold;
}

#organizer-body {
    font-family: "Yeseva One";
    text-align: center;
    padding: 8% 3% 3%;
    background-color: #262626;
}

.organizer-title {
    color: #ae4040;
    text-align: center;
    font-size: 70px;
}

.organizer-card {
    border-radius: 30px;
    padding: 4% 0;
    height: 700px;
    animation-name: moveUp;
    animation-duration: 2s;
}

.organizer-desc {
    padding: 7% 0;
}

.create-schedule {
    text-align: right;
}

.see-schedule {
    text-align: left;
}

.create-button {
    padding: 5%;
    margin-right: 20px;
    border-radius: 30px;
    background-color: #AE4040;
    color: #FFF;
    transition: all 0.5s;
    border: #262626 solid;
}

.create-button:hover {
    background-color:#262626;
    color:#FFF;
    border: #AE4040 solid;
}

.see-button {
    padding: 5%;
    margin-left: 20px;
    border-radius: 30px;
    transition: all 0.5s;
    border: #AE4040 solid;
}

.see-button:hover {
    background-color:#262626;
    color:#FFF;
    border: #AE4040 solid;
}

#schedule-body {
    font-family: "Fira Sans";
    letter-spacing: 1px;
    font-weight: bold;
    text-align: left;
    padding: 8% 3% 3%;
    background-color: #262626;
}

#scheduler-body {
    font-family: "Fira Sans";
    text-align: left;
    padding: 8% 3% 3%;
    background-color: #262626;
}

.schedule-title {
    font-family: "Yeseva One";
    color: #CD6666;
    text-align: center;
    padding-bottom: 3%;
}

.schedule-card {
    border-radius: 30px;
    padding: 4% 0;
    height: 750px;
    animation-name: moveUp;
    animation-duration: 2s;
}

.centre-items {
    text-align: center;
}

.btn-dark {
    font-family: "Yeseva One";
    background-color: #AE4040;
    border: none;
    padding: 1% 2%;
    border-radius: 20px;
}

/* Gallery */

#gallery-body {
    font-family: "Yeseva One";
    text-align: center;
    padding: 7% 12%;
    background-color: #262626;
}

.gallery-title {
    color: #CD6666;
    text-align: center;
}

.gallery-card {
    border-radius: 30px;
    padding: 5% 0;
    height: 1300px;
    animation-name: moveUp;
    animation-duration: 2s;
}

.image-container-l {
    padding: 5% 0 1% 10%;
}

.image-container-r {
    padding: 5% 10% 1% 0;
}

.fasilkom-ui {
    padding: 20% 0;
}

/* entire container, keeps perspective */
.card-container {
	  -webkit-perspective: 800px;
   -moz-perspective: 800px;
     -o-perspective: 800px;
        perspective: 800px;
        margin-bottom: 30px;
}
/* flip the pane when hovered */
.card-container:not(.manual-flip):hover .image-card,
.card-container.hover.manual-flip .image-card{
	-webkit-transform: rotateY( 180deg );
-moz-transform: rotateY( 180deg );
 -o-transform: rotateY( 180deg );
    transform: rotateY( 180deg );
}


.card-container.static:hover .image-card,
.card-container.static.hover .image-card {
	-webkit-transform: none;
-moz-transform: none;
 -o-transform: none;
    transform: none;
}
/* flip speed goes here */
.image-card {
	 -webkit-transition: -webkit-transform .5s;
   -moz-transition: -moz-transform .5s;
     -o-transition: -o-transform .5s;
        transition: transform .5s;
-webkit-transform-style: preserve-3d;
   -moz-transform-style: preserve-3d;
     -o-transform-style: preserve-3d;
        transform-style: preserve-3d;
	position: relative;
}

/* hide back of pane during swap */
.front, .back {
	-webkit-backface-visibility: hidden;
   -moz-backface-visibility: hidden;
     -o-backface-visibility: hidden;
        backface-visibility: hidden;
	position: absolute;
	top: 0;
	left: 0;
	background-color: #FFF;
    box-shadow: 0 1px 3px 0 rgba(0, 0, 0, 0.14);
}

/* front pane, placed above back */
.front {
	z-index: 2;
}

/* back, initially hidden pane */
.back {
		-webkit-transform: rotateY( 180deg );
   -moz-transform: rotateY( 180deg );
     -o-transform: rotateY( 180deg );
        transform: rotateY( 180deg );
        z-index: 3;
        background-color: #262626;
}


/*        Style       */

.image-card{
    background: none repeat scroll 0 0 #FFFFFF;
    border-radius: 20px;
    color: #444444;
    text-align: center;
    margin: 6%;
    animation-name: moveUp;
    animation-duration: 2.5s;
}
.card-container, .front, .back {
	width: 100%;
	height: 300px;
	border-radius: 20px;
}
.image-card .cover{
    height: 100%;
    overflow: hidden;
    border-radius: 20px;
}
.image-card .cover img{
    width: 100%;
}
.image-card .content{
    background-color: rgba(0, 0, 0, 0);
    box-shadow: none;
    padding: 20% 10% 0;
    color: #CD6666;
}
.image-card .content .main {
    min-height: 160px;
}
.image-card .back .content .main {
    height: 215px;
}
.image-card .image-name {
    font-size: 22px;
    line-height: 28px;
    margin: 10px 0 0;
    text-transform: capitalize;
}

.back-button {
    margin: 3%;
    position: fixed;
    bottom: 0px;
    left: 0px; 
    z-index: 200;
    border-radius: 40px;
    padding: 1% 2%;
    background-color: #CD6666;
    color: #FFF;
    transition: all 0.5s;
    border: #696969 solid;
    animation-name: moveUp;
    animation-duration: 1.5s;
}

.back-button:hover {
    background-color:#FFF;
    color:#262626;
    border: #CD6666 solid;
}

/*       Fix bug for IE      */

@media screen and (-ms-high-contrast: active), (-ms-high-contrast: none) {
    .front, .back{
        -ms-backface-visibility: visible;
        backface-visibility: visible;
    }

    .back {
        visibility: hidden;
        -ms-transition: all 0.2s cubic-bezier(.92,.01,.83,.67);
    }
    .front{
        z-index: 4;
    }
    .card-container:not(.manual-flip):hover .back,
    .card-container.manual-flip.hover .back{
        z-index: 5;
        visibility: visible;
    }
}

@keyframes moveUp {
    0% {
        transform: translateY(70px);
        opacity: 0;
    }
    100% {
        transform: translateY(0);
        opacity: 1;
    }
}


@media (max-width: 1024px) {

    .name, #nav-about, #nav-edu, #nav-contact {
        font-size: 4rem;
        padding: 10%;
    }

    .navbar {
        font-size: 10px;
        padding: 20px 40px;
        justify-content: right;
    }

    .fa-bars{
        font-size:70px !important;
    }

    .heading {
        margin-top: 15px;
    }

    .tag {
        font-size: 3.5rem;
    }

    .name-part {
        font-size: 4.5rem;
    }
    
    .desc {
        font-size: 3rem;
        padding: 12% 0;
    }

    .name-logo {
        width: 40%;
        margin-top: 45%;
    }

    .nav-link {
        font-size: 2.5rem;
    }

    .interest, .skills {
        font-size: 3rem;
    }

    .interest-object, .skills-object {
        font-size: 2.5rem;
        margin-bottom: 10%;
    }

    .interest-content {
        margin: 15% 0 15%;
    }

    .title-container, #about {
        padding: 8% 12%;
    }

    #resume, #contact {
        padding: 8% 7% 10%;
    }

    .resume-title-1, .resume-title-2 {
        font-size: 3.5rem;
    }

    .role {
        font-size: 2.5rem;
    }
    
    .sub-role {
        font-size: 1.5rem;
    }

    .contact-card {
        padding-bottom: 5%;
    }

    .contact-info {
        margin: 20% 0 30%;
    }
    .contact-name {
        font-size: 4rem;
    }

    .contact-title {
        margin: 7% 0;
        font-size: 3rem;
    }
    
    .contact-email {
        font-size: 3rem;
    }

    #gallery-body {
        padding: 13% 7% 7%;
    }
    
    .gallery-title {
        font-size: 4.5rem;
        margin-top: 10%;
    }

    .image-container-l, .image-container-r {
        padding: 3% 3% 3% 3%;
    }

    .image-card .content {
        font-size: 2rem;
    }

    .image-card .content .name {
        font-size: 3rem;
    }

    .card-container, .front, .back{
        height: 600px;
    }

    .fasilkom-h1 {
        font-size: 4rem;
        padding: 5% 10%;
    }

    .gallery-card {
        height: 4400px;
    }

    .back-button {
        font-size: 35px;
        margin: 5%;
    }

    .story1 {
        font-size: 2.5rem;
    }

    #organizer-body {
        padding: 13% 7% 7%;
        height: 100vh;
    }
    
    .organizer-title {
        color: #ae4040;
        text-align: center;
        font-size: 5rem;
    }
    
    .organizer-card {
        height: 100%;
        padding: 10% 7%;
    }
    
    .organizer-desc {
        padding: 15% 10%;
        font-size: 4rem;
    }
    
    .create-schedule, .see-schedule{
        text-align: center;
        padding: 3%;
    }
    
    .create-button {
        padding: 5%;
        margin-right: 20px;
        border-radius: 30px;
        font-size: 40px;
    }
    
    .see-button {
        padding: 5%;
        margin-left: 20px;
        border-radius: 30px;
        font-size: 40px;
    }

    #schedule-body, #scheduler-body {
        padding: 13% 7% 7%;
        height: 100vh;
    }
    
    .schedule-card {
        padding: 10% 7%;
        height: 100%;
    }
    
    .form-group {
        font-size: 2.5rem;
        margin: 5% 0;
    }

    #control {
        font-size: 2.5rem;
    }

    .schedule-title {
        font-size: 4.5rem;
        padding: 2% 0 10%;
    }
    
    .btn-dark {
        font-size: 3rem;
        padding: 3% 5%;
    }

    #dt-horizontal th, td {
        white-space: nowrap;
        font-size: 2.5rem;
    }

    .btn-danger {
        padding: 10% 15%;
    }
}